Subject: [Editorial Errata Reported] RFC7540 (4925)

From: RFC Errata System <[email-masked]>
Date: Mon, 6 Feb 2017 19:49:20 -0800 (PST)

The following errata report has been submitted for RFC7540,
"Hypertext Transfer Protocol Version 2 (HTTP/2)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7540&eid=4925

--------------------------------------
Type: Editorial
Reported by: Martin Thomson <[email-masked]>

Section: GLOBAL

Original Text
-------------

Corrected Text
--------------

Notes
-----
It's unclear from the text whether PRIORITY frames affect stream states (as shown in the state machine in Section 5.1).  The original intent was that prioritization of streams was independent of the mechanics of opening and closing streams, but this was not consistently captured.

Two small additions to the document would help considerably.

In Section 5.3 (Stream Priority) add a new paragraph:

> The information that an endpoint maintains for stream priority is separate from other state. Importantly, this includes stream states (Section 5.1).  A stream in any state can have its priority changed with a PRIORITY frame. The state of a stream is not changed as a result of changing its priority.  The number of streams for which state is remembered is at the discretion of an endpoint, see Section 5.3.4 for details.

 In Section 6.4 (PRIORITY) a new sentence at the end of the first paragraph:

> Sending or receiving a PRIORITY frame does not affect the state of any stream (Section 5.1), only the priority of streams is altered.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7540 (draft-ietf-httpbis-http2-17)
--------------------------------------
Title               : Hypertext Transfer Protocol Version 2 (HTTP/2)
Publication Date    : May 2015
Author(s)           : M. Belshe, R. Peon, M. Thomson, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis APP
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 7 Feb 2017 15:07:29 +1100

Folks, please have a look at this and confirm that this is the intent.

Martin, I'm assuming the status we want is HOLD FOR DOCUMENT UPDATE?

Thanks,

> On 7 Feb 2017, at 2:49 pm, RFC Errata System <[email-masked]> wrote:
> 

--
Mark Nottingham   https://www.mnot.net/

---

From: Martin Thomson <[email-masked]>
Date: Tue, 7 Feb 2017 15:10:59 +1100

> Folks, please have a look at this and confirm that this is the intent.

Note that after reading Scott's last email, I've made a small tweak to
what I proposed originally (that is, the priority of many streams can
be affected).

> Martin, I'm assuming the status we want is HOLD FOR DOCUMENT UPDATE?

Yup.

p.s., I think that it's awesome that these emails go to
mailto:text/[email-masked] and
mailto:charset=[email-masked]